Summary:          An arpeggiator, sequencer and MIDI LFO for ALSA
Name:             qmidiarp
Version:          0.5.0
Release:          2%{?dist}
License:          GPLv2+
Group:            Applications/Multimedia
URL:              http://sourceforge.net/projects/qmidiarp 
Source0:          http://downloads.sourceforge.net/qmidiarp/files/%{name}-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    desktop-file-utils
BuildRequires:    alsa-lib-devel
BuildRequires:    qt-devel
BuildRequires:    jack-audio-connection-kit-devel
Requires:         hicolor-icon-theme
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

%description
QMidiArp is a MIDI phrase generator and controller LFO for the ALSA sequencer. 
It can run multiple synchronized arpeggiators, LFOs and step sequencers. 
QMidiArp has been growing since June 2009 on top of Matthias Nagorni's original 
arp idea.  

%prep

%setup -q 

# Fix encoding issues
for file in ChangeLog AUTHORS README COPYING NEWS; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/de/man1/%{name}.1.*
%{_mandir}/fr/man1/%{name}.1.*
%{_mandir}/man1/%{name}.1.*

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 25 2012 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.5.0-1
- Updated to 0.5.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 24 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.4.4-2
- Upstream issued new tarball without release bump

* Sat Dec 24 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.4.4-1
- Updated to 0.4.4
- Removed fsf patch

* Sun Nov 20 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.4.3-1
- Updated to 0.4.3
- patch fsf address

* Sun Jul 10 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.4.2-1
- Updated to 0.4.2

* Mon May 30 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.4.1-1
- Updated to 0.4.1

* Thu Feb 24 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.3.9-6
- corrected use of name macro 

* Thu Feb 24 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.3.9-5
- corrected use of name macro 

* Tue Feb 22 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.3.9-4
- additional spacing in SPEC file

* Wed Feb 16 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.3.9-3
- correct icon cache directory

* Wed Feb 16 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.3.9-2
- correct sourceforge URL, mime database update and other minor corrections

* Mon Feb 07 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.3.9-1
- initial build 

